# PSF-LoginServer - master - net.psforever.objects.equipment.JammableMountedWeapons
PSF - LoginServer - master - net.psforever.objects.equipment.JammableMountedWeapons
Keywords: PSF LoginServer master net.psforever.objects.equipment.JammableMountedWeapons

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package equipment
  Definition Classes
    objects
- Ammo
- CItem
- ChargeFireModeDefinition
- EffectTarget
- Equipment
- EquipmentSize
- EquipmentSlot
- FireModeDefinition
- FireModeSwitch
- InfiniteFireModeDefinition
- JammableBehavior
- JammableMountedWeapons
- JammableUnit
- JammingUnit
- Kits
- PelletFireModeDefinition
- RemoteUnit
- SItem
- TargetValidation

t

net.psforever.objects.equipment

# JammableMountedWeapons 

###
Companion object JammableMountedWeapons

#### trait JammableMountedWeapons extends JammableBehavior

A common mix-in variation to manage common responses to the "jammerable" status for game objects with mounted weapons.

Self Type
  JammableMountedWeapons with Actor
Source
  JammingUnit.scala
See also

  `MountedWeapons`

  `Service`

  `VehicleAction`

  `VehicleService`

  `VehicleServiceMessage`

  `Zone.VehicleEvents`

Linear Supertypes
JammableBehavior, AnyRef, Any
Known Subclasses
TurretControl, FacilityTurretControl, AmsControl, AntControl, ApcControl, CargoCarrierControl, DeployingVehicleControl, RouterControl, VehicleControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JammableMountedWeapons
2. JammableBehavior
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def JammableObject: PlanetSideServerObject with JammableUnit with ZoneAware

   `ZoneAware` is used for callback to the event systems

   `ZoneAware` is used for callback to the event systems

   Definition Classes
     JammableBehavior

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CancelJammeredSound(target: Any): Unit

   Deactivate a distinctive buzzing sound effect.

   Deactivate a distinctive buzzing sound effect. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely stop the timer.

   target

     an object that can be affected by the jammered status

   Definition Classes
     JammableMountedWeapons → JammableBehavior
5.  def CancelJammeredStatus(target: Any): Unit

   Deactivate the effects of the jammered status.

   Deactivate the effects of the jammered status. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely stop the timer.

   target

     an object that can be affected by the jammered status

   Definition Classes
     JammableMountedWeapons → JammableBehavior
6.  def StartJammeredSound(target: Any, dur: Int): Unit

   Activate a distinctive buzzing sound effect.

   Activate a distinctive buzzing sound effect. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely start the timer.

   target

     an object that can be affected by the jammered status

   dur

     the duration of the timer, in milliseconds; by default, 30000

   Definition Classes
     JammableMountedWeapons → JammableBehavior
7.  def StartJammeredStatus(target: Any, dur: Int): Unit

   Deactivate the effects of the jammered status.

   Deactivate the effects of the jammered status. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely stop the timer.

   target

     an object that can be affected by the jammered status

   dur

     the duration of the timer, in milliseconds

   Definition Classes
     JammableMountedWeapons → JammableBehavior
8.  def TryJammerEffectActivate(target: Any, cause: DamageResult): Unit

   If the target can be validated against, affect it with the jammered status.

   If the target can be validated against, affect it with the jammered status.

   target

     the objects to be determined if affected by the source's jammering

   cause

     the source of the "jammered" status

   Definition Classes
     JammableBehavior
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  val jammableBehavior: (JammableMountedWeapons.this)#Receive
    Definition Classes
      JammableBehavior
18.  val jammedSound: Boolean

    flag for jammed sound

    flag for jammed sound

    Attributes
      protected
    Definition Classes
      JammableBehavior
19.  val jammeredSoundTimer: Cancellable

    the sound timer

    the sound timer

    Attributes
      protected
    Definition Classes
      JammableBehavior
20.  val jammeredStatusTimer: Cancellable

    the effect timer

    the effect timer

    Attributes
      protected
    Definition Classes
      JammableBehavior
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from JammableBehavior

### Inherited from AnyRef

### Inherited from Any

### Ungrouped